Bug 547021 - SELinux is preventing /usr/bin/xauth "write" access on nx.
Summary: SELinux is preventing /usr/bin/xauth "write" access on nx.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:21090b98716...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-13 08:51 UTC by idawazoo
Modified: 2009-12-22 20:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-22 20:42:31 UTC
Type: ---


Attachments (Terms of Use)

Description idawazoo 2009-12-13 08:51:41 UTC
Summary:

SELinux is preventing /usr/bin/xauth "write" access on nx.

Detailed Description:

SELinux denied access requested by xauth. It is not expected that this access is
required by xauth and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:unconfined_r:xauth_t:s0-s0:c0.c1023
Target Context                system_u:object_r:usr_t:s0
Target Objects                nx [ dir ]
Source                        xauth
Source Path                   /usr/bin/xauth
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           xorg-x11-xauth-1.0.2-7.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-55.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.5-127.fc12.i686 #1 SMP
                              Sat Nov 7 21:41:45 EST 2009 i686 i686
Alert Count                   40
First Seen                    Sun 13 Dec 2009 03:14:01 AM EST
Last Seen                     Sun 13 Dec 2009 03:31:05 AM EST
Local ID                      f53fb891-2e53-4c8c-bd44-f464edcfa9c5
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1260693065.815:168): avc:  denied  { write } for  pid=2282 comm="xauth" name="nx" dev=md1 ino=286730 scontext=unconfined_u:unconfined_r:xauth_t:s0-s0:c0.c1023 tcontext=system_u:object_r:usr_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1260693065.815:168): arch=40000003 syscall=5 success=no exit=-13 a0=bfe2547b a1=c1 a2=180 a3=1 items=0 ppid=2281 pid=2282 auid=492 uid=492 gid=480 euid=492 suid=492 fsuid=492 egid=480 sgid=480 fsgid=480 tty=(none) ses=12 comm="xauth" exe="/usr/bin/xauth" subj=unconfined_u:unconfined_r:xauth_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-55.fc12,catchall,xauth,xauth_t,usr_t,dir,write
audit2allow suggests:

#============= xauth_t ==============
allow xauth_t usr_t:dir write;

Comment 1 Daniel Walsh 2009-12-14 12:07:48 UTC
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.32-59.fc12.noarch

Comment 2 Fedora Update System 2009-12-16 13:55:18 UTC
selinux-policy-3.6.32-59.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-59.fc12

Comment 3 Fedora Update System 2009-12-18 04:43:28 UTC
selinux-policy-3.6.32-59.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13384


Note You need to log in before you can comment on or make changes to this bug.